Run a Redis path command
/v1/disks/{disk}/redis/{namespace}/{command}curl --fail-with-body -X POST 'https://api.wabe.sh/v1/disks/demo/redis/app/SET/greeting' \ -H 'Authorization: Bearer YOUR_PROJECT_API_KEY' \ -H 'Content-Type: application/octet-stream' \ --data-binary 'Hello'A nonempty raw body is appended to the arguments, followed by query options.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Example
demoProject disk name, or the disk ID in the actor runtime disk URL.
Example
appNamespace on this disk.
Example
SET/greetingSlash-separated, URL-encoded command and arguments.
Header Parameters
Section titled “Header Parameters”Encoding for byte-string replies.
Reply format. RESP2 requires the default encoding.
Request Body
Section titled “Request Body”Responses
Section titled “Responses”Command reply.
One result or error envelope. Pipeline/multi return an array of these.
object
Example
{ "result": "OK"}Invalid command, arguments, request shape or encoding.
One result or error envelope. Pipeline/multi return an array of these.
object
One result or error envelope. Pipeline/multi return an array of these.
object
Missing, invalid or revoked project API key, or an invalid runtime access token.
object
Actor runtime token does not authorize this disk or instance generation.
object
Disk not found in this project.
object
Wabe Disk request or response limit exceeded.
One result or error envelope. Pipeline/multi return an array of these.
object
One result or error envelope. Pipeline/multi return an array of these.
object
Storage failure.
One result or error envelope. Pipeline/multi return an array of these.
object
One result or error envelope. Pipeline/multi return an array of these.
object
Disk unavailable.